using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;
using System.Reflection;
using Conaito.PowerLight;

public partial class _Default : System.Web.UI.Page 
{
    PowerPointConverter pptConv = null;
    string curTempPath;
    string curOutPath;

    protected void Page_Load(object sender, EventArgs e)
    {
        curTempPath = MapPath("tmp");
        curOutPath = MapPath("out");
    }
    protected void btnConvert_Click(object sender, EventArgs e)
    {
        try
        {
            string fileName = FileUpload1.FileName;

            if (fileName.Trim().Length == 0)
            {
                Response.Write("Please select PowerPoint or XPS file!");
                return;
            }

            pptConv = new PowerPointConverter();

            if (tbLicenseKey.Text != "")
                pptConv.SetLicense(tbLicenseKey.Text);

            if (!pptConv.LicenseInfo.IsLicenseValid())
            {
                Response.Write("License is not valid. " + pptConv.LicenseInfo);
                return;
            }


            string tmpFile = curTempPath + "\\" + fileName;

            if (!Directory.Exists(curOutPath))
                Directory.CreateDirectory(curOutPath);

            if (!Directory.Exists(curTempPath))
                Directory.CreateDirectory(curTempPath);

            FileUpload1.SaveAs(tmpFile);

            if (Path.GetExtension(tmpFile) == ".xps")
                pptConv.OpenXPSDocument(tmpFile);
            else
                pptConv.OpenPowerPointFile(tmpFile);
            
            pptConv.ConvertToSilverlight(curOutPath);            

            if (IsPostBack)
            {
                FileUpload1.Visible = false;
                btnConvert.Visible = false;
                lblInfo.Visible = false;

                lblSDK.Visible = false;
                lblLicenseKey.Visible = false;
                tbLicenseKey.Visible = false;
                
                Response.Write(string.Format("Silverlight slideshow generated successfully to folder: {0}", curOutPath));
            }
        }
        catch (Exception ex)
        {
            Response.Write(string.Format("ERROR: {0}", ex.Message));
        }
    }

}
